﻿/* تعریف فونت وزیرمتن */
@font-face {
    font-family: 'Vazirmatn';
    src: url('../fonts/vazirmatn/Vazirmatn-Regular.woff2') format('woff2'), url('../fonts/vazirmatn/Vazirmatn-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Vazirmatn';
    src: url('../fonts/vazirmatn/Vazirmatn-Bold.woff2') format('woff2'), url('../fonts/vazirmatn/Vazirmatn-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* بازنویسی متغیر بوت‌استرپ */
:root {
    --bs-font-sans-serif: 'Vazirmatn', 'Tahoma', sans-serif !important;
    --bs-body-font-family: var(--bs-font-sans-serif) !important;
}

.app-brand-text.demo {
    text-wrap: nowrap;
}


/* فایل آپلودر*/
.custom-dropzone {
    border: 2px dashed #cbd5e1; /* رنگ خاکستری ملایم */
    border-radius: 1rem;
    background-color: #fafafa;
    min-height: 160px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    cursor: pointer;
}

    .custom-dropzone:hover {
        background-color: #f0f9ff;
        border-color: #60a5fa;
    }

    .custom-dropzone.dz-started {
        min-height: 220px;
    }

    .custom-dropzone .dz-message {
        margin: 0;
        padding: 10px;
    }

    .custom-dropzone i {
        font-size: 2.5rem;
    }

    .custom-dropzone .dz-preview {
        margin: 10px;
    }

    .custom-dropzone .dz-success-mark svg,
    .custom-dropzone .dz-error-mark svg {
        width: 25px;
        height: 25px;
    }

/*app-brand*/
.menu .app-brand .app-brand-text {
    text-wrap: initial;
}


    /*کوچکتر کردن فاصله جدول*/
.table.tariff-table > :not(caption) > * > * {
    padding: 0.1rem 0.2rem;
}
/* کلاسی برای دکمه‌هایی که آیکون تیک دارند */
.btn-select-icon {
    display: inline-flex !important;
    align-items: center;
    justify-content: center;
}

/* اضافه کردن آیکون با استفاده از CSS */
.btn-select-icon::after {
    content: "";
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 6px; /* فاصله آیکون از متن (چون راست‌چین هستیم) */
    background-color: currentColor; /* رنگ آیکون را از رنگ متن دکمه می‌گیرد */
    /* کد SVG فشرده شده برای تیک */
    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' stroke-width='2' stroke='currentColor' fill='none' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath stroke='none' d='M0 0h24v24H0z' fill='none'/%3E%3Cpath d='M5 12l5 5l10 -10'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' stroke-width='2' stroke='currentColor' fill='none' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath stroke='none' d='M0 0h24v24H0z' fill='none'/%3E%3Cpath d='M5 12l5 5l10 -10'/%3E%3C/svg%3E");
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
}
